<template>
    <router-link
        tag="tr"
        :to="{
            name: 'DetailEleve',
            params: { id: suivi.eleve.id }
        }"
    >
        <td>{{ nomEleve }} {{ prenomEleve }}</td>
        <td class="uk-text-center">{{ totalProblemes }}</td>
        <td class="uk-text-center">{{ totalNouveauxProblemes }}</td>
        <td class="uk-text-center">{{ totalCartesRevisions }}</td>
        <td class="uk-text-center">{{ nombreDeProblemesConnus }}</td>
        <td
            :class="[
                nombreNouvellesCartesEnErreur > 0
                    ? 'uk-text-center nbErreurs'
                    : 'uk-text-center'
            ]"
        >
            {{ nombreNouvellesCartesEnErreur }}
        </td>
        <td
            :class="[
                nombreErreurReguliere > 0
                    ? 'uk-text-center nbErreurs'
                    : 'uk-text-center'
            ]"
        >
            {{ nombreErreurReguliere }}
        </td>
        <td
            :class="[
                nombreProblemesAvecQuestion > 0
                    ? 'uk-text-center nbQuestions'
                    : 'uk-text-center'
            ]"
        >
            {{ nombreProblemesAvecQuestion }}
        </td>
    </router-link>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import ListeProblemes from '@/components/ListeProblemes.vue';

@Component({
    components: { ListeProblemes }
})
export default class ElementSuiviEleve extends Vue {
    @Prop() suivi: Record<string, any>;

    private nomEleve = '';
    private prenomEleve = '';
    private totalProblemes = 0;
    private totalNouveauxProblemes = 0;
    private totalCartesRevisions = 0;
    private nombreDeProblemesConnus = 0;
    private nombreNouvellesCartesEnErreur = 0;
    private nombreErreurReguliere = 0;
    private nombreProblemesAvecQuestion = 0;

    mounted() {
        this.nomEleve = this.suivi.eleve.nom;
        this.prenomEleve = this.suivi.eleve.prenom;
        this.totalProblemes = this.suivi.totalProblemes;
        this.totalNouveauxProblemes = this.suivi.totalNouveauxProblemes;
        this.totalCartesRevisions = this.suivi.totalCartesRevisions;
        this.nombreDeProblemesConnus = this.suivi.nombreDeProblemesConnus;
        this.nombreNouvellesCartesEnErreur = this.suivi.nouvellesCartesEnErreur.length;
        this.nombreErreurReguliere = this.suivi.erreursRegulieres.length;
        this.nombreProblemesAvecQuestion = this.suivi.problemesAvecQuestion.length;
    }
}
</script>

<style scoped>
.nbErreurs {
    font-weight: bold;
    color: tomato;
}

.nbQuestions {
    font-weight: bold;
    color: blue;
}
</style>
